Systems
List systems
Retrieve a paginated list of all systems. Systems are ordered by creation date.
GET
/
projects
/
{projectId}
/
systems
JavaScript
import Scorecard from 'scorecard-ai';
const client = new Scorecard({
apiKey: process.env['SCORECARD_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const system of client.systems.list('314')) {
console.log(system.id);
}import os
from scorecard_ai import Scorecard
client = Scorecard(
api_key=os.environ.get("SCORECARD_API_KEY"), # This is the default and can be omitted
)
page = client.systems.list(
project_id="314",
)
page = page.data[0]
print(page.id)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api2.scorecard.io/api/v2/projects/{projectId}/systems"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl https://api2.scorecard.io/api/v2/projects/$PROJECT_ID/systems \
-H "Authorization: Bearer $SCORECARD_API_KEY"{
"data": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "GPT-4 Chatbot",
"description": "Production chatbot powered by GPT-4",
"productionVersion": {
"id": "87654321-4d3b-4ae4-8c7a-4b6e2a19ccf0",
"systemId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Version 2 (Low Temperature)",
"config": {
"temperature": 0.1,
"maxTokens": 1024
}
},
"versions": [
{
"id": "87654321-4d3b-4ae4-8c7a-4b6e2a19ccf0",
"name": "Version 2 (Low Temperature)"
},
{
"id": "87654321-4d3b-4ae4-8c7a-4b6e2a19ccf1",
"name": "Version 1 (High Temperature)"
}
]
},
{
"id": "8fb15f74-2918-4982-a4fc-9c157f77dca7",
"name": "RAG System",
"description": "Retrieval-augmented generation system for company knowledge base",
"productionVersion": {
"id": "87654321-4d3b-4ae4-8c7a-4b6e2a19ccf4",
"systemId": "8fb15f74-2918-4982-a4fc-9c157f77dca7",
"name": "Best version",
"config": {
"top_k": 2,
"chunk_size": 512
}
},
"versions": [
{
"id": "87654321-4d3b-4ae4-8c7a-4b6e2a19ccf4",
"name": "Best version"
}
]
}
],
"nextCursor": "8fb15f74-2918-4982-a4fc-9c157f77dca8",
"hasMore": true
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing authentication token",
"details": {}
}{
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred while processing your request.",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the system's Project.
Example:
"314"
Query Parameters
Maximum number of items to return (1-100). Use with cursor for pagination through large sets.
Example:
20
Cursor for pagination. Pass the nextCursor from the previous response to get the next page of results.
Example:
"eyJvZmZzZXQiOjAsInBhZ2VJZCI6ImNvZGUifQ"
Was this page helpful?
⌘I
JavaScript
import Scorecard from 'scorecard-ai';
const client = new Scorecard({
apiKey: process.env['SCORECARD_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const system of client.systems.list('314')) {
console.log(system.id);
}import os
from scorecard_ai import Scorecard
client = Scorecard(
api_key=os.environ.get("SCORECARD_API_KEY"), # This is the default and can be omitted
)
page = client.systems.list(
project_id="314",
)
page = page.data[0]
print(page.id)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api2.scorecard.io/api/v2/projects/{projectId}/systems"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}curl https://api2.scorecard.io/api/v2/projects/$PROJECT_ID/systems \
-H "Authorization: Bearer $SCORECARD_API_KEY"{
"data": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "GPT-4 Chatbot",
"description": "Production chatbot powered by GPT-4",
"productionVersion": {
"id": "87654321-4d3b-4ae4-8c7a-4b6e2a19ccf0",
"systemId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Version 2 (Low Temperature)",
"config": {
"temperature": 0.1,
"maxTokens": 1024
}
},
"versions": [
{
"id": "87654321-4d3b-4ae4-8c7a-4b6e2a19ccf0",
"name": "Version 2 (Low Temperature)"
},
{
"id": "87654321-4d3b-4ae4-8c7a-4b6e2a19ccf1",
"name": "Version 1 (High Temperature)"
}
]
},
{
"id": "8fb15f74-2918-4982-a4fc-9c157f77dca7",
"name": "RAG System",
"description": "Retrieval-augmented generation system for company knowledge base",
"productionVersion": {
"id": "87654321-4d3b-4ae4-8c7a-4b6e2a19ccf4",
"systemId": "8fb15f74-2918-4982-a4fc-9c157f77dca7",
"name": "Best version",
"config": {
"top_k": 2,
"chunk_size": 512
}
},
"versions": [
{
"id": "87654321-4d3b-4ae4-8c7a-4b6e2a19ccf4",
"name": "Best version"
}
]
}
],
"nextCursor": "8fb15f74-2918-4982-a4fc-9c157f77dca8",
"hasMore": true
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing authentication token",
"details": {}
}{
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred while processing your request.",
"details": {}
}